package com.huigou.topsun.sap.purchaseOrder.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName sap_purchase_order
 */
@Table(name="sap_purchase_order")
@Entity
@Data
public class SapPurchaseOrder extends FlowBillAbstractEntity {


    /**
     * 采购订单号码
     */
    @Column(name = "EBELN")
    private String ebeln;

    /**
     * 采购订单类型
     */
    @Column(name = "BSART")
    private String bsart;

    /**
     * 采购订单类型描述
     */
    @Column(name = "BATXT")
    private String batxt;

    /**
     * 采购组
     */
    @Column(name = "EKGRP")
    private String ekgrp;

    /**
     * 采购组描述
     */
    @Column(name = "EKNAM")
    private String eknam;

    /**
     * 币种
     */
    @Column(name = "WAERS")
    private String waers;

//    /**
//     * 创建日期
//     */
//    @Column(name = "AEDAT")
//    private Date aedat;


//    /**
//     * 创建人ID创建人ID
//     */
//    @Column(name = "ERNAM")
//    private String ernam;
//
//    /**
//     * 创建人姓名
//     */
//    @Column(name = "NAME_TEXT")
//    private String nameText;



    @Override
    protected String getCodeRuleId() {
        return "sapPurchaseOrder";
    }

}